[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterDelete

Event triggered after a succesful Delete operation.

## Declaration

Source position: db.pas line 1660

`public property TDataSet.AfterDelete : TDataSetNotifyEvent read FAfterDelete write FAfterDelete;`

## Description

AfterDelete is triggered after the succesfull completion of the TDataset.Delete operation, when the dataset is again in dsBrowse state. The event is followed by a TDataset.AfterScroll event.

## See also

TDataset.BeforeDelete |  | Event triggered before a Delete operation.
TDataset.Delete |  | Delete the current record.
TDataset.AfterScroll |  | Event triggered after the cursor has changed position.
TDataset.State |  | Current operational state of the dataset

Documentation generated on: Feb 26 2014